﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.DataPresenter;

namespace Scrollbarissue
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        DataTable dt;

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            dt = new DataTable();

            dt.Columns.Add("StaffID", typeof(string));
            dt.Columns.Add("Status", typeof(string));

            DataRow dr;
            for (int i = 1; i <= 20; i++)
            {
                dr = dt.NewRow();
                dr["StaffID"] = i.ToString();
                dr["Status"] = "N";
                dt.Rows.Add(dr);
            }
            possibleDuplicateRecordsResultGrid.DataSource = dt.DefaultView;
        }

        private void CheckBox_Checked(object sender, RoutedEventArgs e)
        {
            string staffId = string.Empty;
            DataRecord dataRec = possibleDuplicateRecordsResultGrid.ActiveRecord as DataRecord;
            if (dataRec != null)
            {
                DataRowView rowView = dataRec.DataItem as DataRowView;
                 staffId = rowView["StaffId"].ToString();
            }
           DataTable updateTable=  UpdateDataTable("A",staffId);
            
        }

        private DataTable UpdateDataTable(string p_2, string staffid)
        {
            for (int cnt = 0; cnt < dt.Rows.Count; cnt++)
            {
                if (dt.Rows[cnt]["StaffId"].ToString() == staffid)
                {
                    dt.Rows[cnt]["Status"] = p_2;
                    dt.Rows[cnt].AcceptChanges();
                    break;
                }
            }
            return dt;
        }

        private void CheckBox_Unchecked(object sender, RoutedEventArgs e)
        {
            string staffId = string.Empty;
            DataRecord dataRec = possibleDuplicateRecordsResultGrid.ActiveRecord as DataRecord;
            if (dataRec != null)
            {
                DataRowView rowView = dataRec.DataItem as DataRowView;
                staffId = rowView["StaffId"].ToString();
            }
           DataTable updateTable= UpdateDataTable("N", staffId);
        }


    }
}
