﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace Scrollbarissue
{
    public class CheckBoxConverter : IValueConverter
    {
        private const string STAFF_CHECKBOX = "Staff_CheckBox";

        /// <summary>
        /// Converter it returns the enable true or not based on the inputs
        /// </summary>
        /// <param name="value">Migration action</param>
        /// <param name="targetType"></param>
        /// <param name="parameter">Control name (Control name format EntityName_ControlType)</param>
        /// <param name="culture"></param>
        /// <returns>Control enable property status</returns>
        public object Convert(object value, Type targetType, object parameter,
            System.Globalization.CultureInfo culture)
        {
            if (value.ToString() == "A" || value.ToString() == "L")
                return true;
            return false;
        }

        public object ConvertBack(object value, Type targetType, object parameter,
            System.Globalization.CultureInfo culture)
        {
            if ((bool)value)
                return "A";
            else
                return "N";
        }
    }
}
